SMP_REP_PHY_EVENT_LIST(8)

NAME
smp_rep_phy_event_list - invoke REPORT PHY EVENT LIST SMP function

SYNOPSIS
smp_rep_phy_event_list [--desc] [--enumerate] [--force] [--help] [--hex] [--index=IN] [--interface=PARAMS] [--long] [--nonz] [--raw] [--sa=SAS_ADDR] [--verbose] [--version] [--zero] SMP_DEVICE[,N]

DESCRIPTION

Sends a SAS Serial Management Protocol (SMP) REPORT PHY EVENT LIST function request to an SMP target. The SMP target is identified by the SMP_DEVICE and the SAS_ADDR. Depending on the interface, the SAS_ADDR may be deduced from the SMP_DEVICE. The mpt interface uses SMP_DEVICE to identify a HBA (an SMP initiator) and needs the additional ,N to differentiate between HBAs if there are multiple present.

Reports zero or more phy event list descriptors. Each descriptor contains a phy identifier, a phy event source, a phy event (i.e. a count) and a peak value detector theshold. At least one phy event should be maintained for each phy.

OPTIONS
Mandatory arguments to long options are mandatory for short options as well.

-d, --desc
    precede each phy event descriptor with a line announcing its descriptor index number. Index numbers start at 1.

-e, --enumerate
    enumerate all of the known Phy Event Source names, one per line preceded by its value in hex. Ignores SMP_DEVICE if it is given; most other options are also ignored. Exits after displaying the names.

-f, --force
    force the report to continue after the last descriptor index has been exceeded. The default action is too stop the report when the last descriptor index has been exceeded. at 1.

-h, --help
    output the usage message then exit.

-H, --hex
    output the response (less the CRC field) in hexadecimal.

-i, --index=IN
    starting phy event list descriptor index. IN is a value between 0 and 65535. The default is 1. If IN is 0 then the response should contain no phy event list descriptors but the 'last phy event list descriptor index' and 'phy event list descriptor length' fields in the response should be set appropriately. The last point was clarified in SPL-2 revision 3.

-l, --long
    prefix each phy event source string with its numeric identifier in hex. Also place "phy_id=" in front of the phy identifier number. For example: "phy_id=3: [0x1]: Invalid word count: 29"; without this option this line would be: "3: Invalid word count: 29".

-n, --nonz
    only show phy events with non-zero counts or peak values. The default is to show all phy events in the response.

-I, --interface=PARAMS
    interface specific parameters. In this case "interface" refers to the path through the operating system to the SMP initiator. See the smp_utils man page for more information.

-r, --raw
    send the response (less the CRC field) to stdout in binary. All error messages are sent to stderr.

-s, --sa=SAS_ADDR
    specifies the SAS address of the SMP target device. Typically this is an expander. This option may not be needed if the SMP_DEVICE has the target's SAS address within it. The SAS_ADDR is in decimal but most SAS addresses are shown in hexadecimal. To give a number in hexadecimal either prefix it with '0x' or put a trailing 'h' on it.

-v, --verbose
    increase the verbosity of the output. Can be used multiple times

-V, --version
    print the version string and then exit.

NOTES
Similar information is maintained for SAS SSP target phys (e.g. on a SAS disk). It can be obtained from the Protocol Specific Port log page with the sg_logs utility.

Similar information may be obtained for SAS initiator phys (e.g. on a SAS HBA). As an example in Linux 2.6.28 error information can be found in this directory /sys/class/sas_phy/phy-4:0 (for the phy 0 in SCSI/SAS host 4).

Similar information may be obtained for SATA device phys (e.g. on a SATA disk). If there is a SAT layer between OS and the SATA device then the sg_sat_phy_event utility can fetch the information.

CONFORMING TO
The SMP REPORT PHY EVENT LIST function was introduced in SAS-2 .

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2011 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smp_utils, smp_phy_control, smp_rep_phy_event(smp_utils) sg_logs, sg_sat_phy_event(sg3_utils)